Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQHButtonGroup Class Reference

The TQHButtonGroup widget organizes TQButton widgets in a group with one horizontal row. More...

`#include <ntqhbuttongroup.h>`

Inherits TQButtonGroup.

List of all member functions.

## Public Members

- TQHButtonGroup ( TQWidget * parent = 0, const char * name = 0 )
- TQHButtonGroup ( const TQString & title, TQWidget * parent = 0, const char * name = 0 )
- ~TQHButtonGroup ()

## Detailed Description

The TQHButtonGroup widget organizes TQButton widgets in a group with one horizontal row.

TQHButtonGroup is a convenience class that offers a thin layer on top of TQButtonGroup. From a layout point of view it is effectively a TQHBox that offers a frame with a title and is specifically designed for buttons. From a functionality point of view it is a TQButtonGroup.

See also TQVButtonGroup, Widget Appearance and Style, Layout Management, and Organizers.

## Member Function Documentation

### TQHButtonGroup::TQHButtonGroup ( TQWidget * parent = 0, const char * name = 0 )

Constructs a horizontal button group with no title.

The parent and name arguments are passed to the TQWidget constructor.

### TQHButtonGroup::TQHButtonGroup ( const TQString & title, TQWidget * parent = 0, const char * name = 0 )

Constructs a horizontal button group with the title title.

The parent and name arguments are passed to the TQWidget constructor.

### TQHButtonGroup::~TQHButtonGroup ()

Destroys the horizontal button group, deleting its child widgets.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.